Page MenuHomePhabricator

ci-src-setup job (used by mediawiki-core-php72-phan-docker) is still running on PHP 7.0.33
Closed, ResolvedPublic

Description

Spotted in https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/434973/, which bumps the composer.json's PHP requirement to >=7.2.0. The job failed with the following error:

This package requires php >=7.2.0 but your PHP version (7.0.33) does not satisfy 
 that requirement.

Can be consistently reproduced with a simple test change like https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/539572/.

For extensions, the job works properly and runs on PHP 7.2, as seen in this test.

Related Objects

Event Timeline

Daimona created this task.Sep 27 2019, 4:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2019, 4:27 PM

Trying to change the composer.json PHP requirement will make the job fail.

Jdforrester-WMF renamed this task from mediawiki-core-php72-phan-docker is actually running on PHP 7.0.33 to ci-src-setup job (used by mediawiki-core-php72-phan-docker) is still running on PHP 7.0.33.Sep 30 2019, 4:24 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Eurgh, it's also still running on jessie(!).

Hmm, docker-ci-src-setup-mw is the only user? Maybe we could make it use ci-src-setup-simple in the future and save the effort?

Change 539984 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] [DNM,WIP] dockerfiles: [ci-src-setup] Move to php72/stretch

https://gerrit.wikimedia.org/r/539984

Change 539987 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Replace docker-ci-src-setup-mw with docker-zuul-cloner followed by docker-ci-src-setup-simple

https://gerrit.wikimedia.org/r/539987

Jdforrester-WMF triaged this task as High priority.Oct 2 2019, 9:43 PM

This is blocking us properly setting the PHP version requirement in MediaWiki's composer.json (and thus likely hiding a bunch of issues).

Change 539987 merged by jenkins-bot:
[integration/config@master] jjb: Replace docker-ci-src-setup-mw with docker-zuul-cloner followed by docker-ci-src-setup-simple

https://gerrit.wikimedia.org/r/539987

Jdforrester-WMF closed this task as Resolved.Oct 10 2019, 6:54 PM
Jdforrester-WMF claimed this task.

Change 539984 abandoned by Jforrester:
[DNM,WIP] dockerfiles: [ci-src-setup] Move to php72/stretch

Reason:
Done elsewise.

https://gerrit.wikimedia.org/r/539984